Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class ViewExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      javax.faces.application.ViewExpiredException

All Implemented Interfaces:
  java.io.Serializable

    public class ViewExpiredException

extends FacesException

Implementations must throw this `FacesException` when attempting to restore the view `StateManager.restoreView(javax.faces.context.FacesContext, String, String)` results in failure on postback.

Since:
  1.2
See Also:
  Serialized Form

Constructor Summary
`ViewExpiredException()` Construct a new exception with no detail message or root cause.
`ViewExpiredException(java.lang.String viewId)` Construct a new exception with the specified view identifier.
`ViewExpiredException(java.lang.String message, java.lang.String viewId)` Construct a new exception with the specified detail message and no root cause.
`ViewExpiredException(java.lang.String message, java.lang.Throwable cause, java.lang.String viewId)` Construct a new exception with the specified detail message and root cause.
`ViewExpiredException(java.lang.Throwable cause, java.lang.String viewId)` Construct a new exception with the specified root cause.

Method Summary
`java.lang.String` | `getMessage()` Return the message for this exception prepended with the view identifier if the view identifier is not `null`, otherwise, return the message.
`java.lang.String` | `getViewId()` Return the view identifier of this exception, or `null` if the view identifier is nonexistent or unknown.

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewExpiredException

    public ViewExpiredException()

  Construct a new exception with no detail message or root cause.

### ViewExpiredException

    public ViewExpiredException(java.lang.String viewId)

  Construct a new exception with the specified view identifier.

  Parameters:
    `viewId` - The view identifier for this exception

### ViewExpiredException

    public ViewExpiredException(java.lang.String message,
                                java.lang.String viewId)

  Construct a new exception with the specified detail message and no root cause.

  Parameters:
    `message` - The detail message for this exception
    `viewId` - The view identifier for this exception

### ViewExpiredException

    public ViewExpiredException(java.lang.Throwable cause,
                                java.lang.String viewId)

  Construct a new exception with the specified root cause. The detail message will be set to `(cause == null ? null : cause.toString()`

  Parameters:
    `cause` - The root cause for this exception
    `viewId` - The view identifier for this exception

### ViewExpiredException

    public ViewExpiredException(java.lang.String message,
                                java.lang.Throwable cause,
                                java.lang.String viewId)

  Construct a new exception with the specified detail message and root cause.

  Parameters:
    `message` - The detail message for this exception
    `cause` - The root cause for this exception
    `viewId` - The view identifier for this exception

Method Detail

### getViewId

    public java.lang.String getViewId()

  Return the view identifier of this exception, or `null` if the view identifier is nonexistent or unknown.

### getMessage

    public java.lang.String getMessage()

  Return the message for this exception prepended with the view identifier if the view identifier is not `null`, otherwise, return the message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.